*{
    scroll-behavior: smooth;
    --darkbg: rgb(14, 12, 12);
    --light_txt: rgb(255, 255, 255);
    --accent: rgb(255, 85, 55);
}
a{
    text-decoration: none;
    color: var(--light_txt);
}
body{
    color: var(--light_txt);
    background: var(--darkbg);
    margin: 0;
}
section{
    padding: 100px 22px;
}
header{
    position: fixed;
    background: rgba(0, 0, 0, 0.18);
    backdrop-filter: blur(12px);
    -webkit-backdrop-filter: blur(12px);
    border-radius: 16px;
    border: 1px solid rgba(255, 255, 255, 0.1);
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    display: flex;
    height: 65px;
    justify-content: space-between;
    top: 0;
    left: 0;
    right: 0;
    z-index: 1000;
    margin: 20px;
    align-items: center;
    padding: 0px 12px;
    cursor: pointer;
}
header p{
    font-size: 14px;
}
#time{
    background: var(--accent);
    padding: 8px;
    border-radius: 8px;
    color: var(--light_txt);
}
#dropdown{
    background: var(--light_txt);
    width: 300px;
    height: 100dvh;
    position: absolute;
    display: block;
    top: 0;
    right: 0;
    padding: 12px;
    border-radius: 16px;
    /* margin-top: 8rem; */
    display: none;
    color: var(--darkbg);
}
#dropdown p{
    right: 0;
    text-align: end;
    margin-right: 8px;
}
#dropdown div{
    padding: 12px 18px;
    background: var(--darkbg);
    border:1px solid var(--accent);
    border-width: 0px 4px 4px 0px;
    border-radius: 6px;
    font-size: 22px;
    margin: 8px;
}
#i-content{
    /* display: flex; */
    /* position: relative; */
    /* align-items: center;
    justify-items: center;
    text-align: center; */
    /* bottom: 100px; */
    /* flex-direction: column; */
    /* height: 100vh; */
    /* background-repeat: no-repeat; */

    position: absolute;
    bottom: 50px;
    left: 3rem;
    font-size: 7rem;
    /* font-weight: bolder; */
    /* color: #000; */
    font-family: "Major Mono Display", monospace;
    font-style: normal;
    text-shadow: 0 6px 12px rgba(255, 255, 255, .567);
}
#content{
    position: relative;
    height: 100vh;
    background-size: 180%;
    background-image: url("assets/pic.jpg");
    margin-bottom: 10px;
    background-position: 0 40%;
    /* background-image: url(https://res.cloudinary.com/dioo5uzvz/image/upload/v1731287881/IMG_7508_8_xhifof.jpg); */
    /* background-size: 180%; */
}
.nickname{
    font-size: 2rem;
}

.no-laptop {
    display: flex;
    height: 100vh;
    align-items: center;
    justify-content: center;
    background: var(--darkbg);
    color: var(--accent);
    text-align: center;
    font-family: Courier New, Courier, monospace;
    padding: 20px;
    transition: all .5 ease;
}
#tour{
    padding: 6px;
    border-radius: 8px;
    background: var(--accent);
    border: none;
    height: 40px;
    font-size: 22px;
}
#myInfo button, form button{
    padding: 12px 18px;
    background: var(--accent);
    border-color: var(--light_txt);
    border-width: 0px 4px 4px 0px;
    border-radius: 6px;
    font-size: 22px;
}
form{
    max-width: 500px;
}
form input, textarea{
    width: 90%;
    min-height: 40px;
    background: rgba( 255 , 255 , 255 ,0.78);
    padding: 6px 12px;
    border: 1px solid rgba(255, 255, 255, 0.1);
    border-radius: 4px;
    margin: 6px 0px;
    resize: none;
    font-size: 16px;
}
.contact{
    display: flex;
    align-items: center;
    justify-content: space-between;
}
footer{
    margin-top: 40px;
    background: var(--accent);
}
#top-footer #social{
    padding-top: 1em;
    display: flex;
    place-items: center;
    padding-bottom: 1em;
    justify-content: space-evenly;
    a{
        padding: 8px 12px;
        background: var(--light_txt);
        border: 1px solid var(--darkbg);
        border-width: 0px 4px 4px 0px;
        border-radius: 6px;
    }
}
hr{
    margin: 24px 0px 0px;
}

#footer, nav{
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-size: 12px;
    padding: 0px 12px;
    cursor: pointer;
}
#projects-container{
    display: grid;
    grid-template-columns: repeat(3, auto);
    gap: 1rem;
    /* flex-direction: column; */
}
#project-card{
    padding: 12px;
    border: 1px solid var(--light_txt);
    border-radius: 20px;
}
#project-card img{
    width: 100%;
    max-height: 120px;
    border-radius: 10px;
}
#project-card h2{
    margin: 8px 0px;
    font-size: 18px;
}
#project-card p{
    margin: 8px 0px;
}
.read-more{
    color: var(--accent);
}
/* #status{
    color: rgb(253, 215, 1);
} */
.tag-chip{
    border: 1px solid black;
    background: var(--accent);
    opacity: 1;
    padding: 8px;
    margin: 4px;
    color: white;
    display: inline-block;
    font-size: 14px;
    border-radius: 5px;
}
#liveBtn{
    background: var(--accent);
    border-radius: 8px;
    padding: 12px 22px;
}
.vert{
    display: flex;
    justify-content: space-between;
    align-items: center;
}
@media (max-width : 657px) {
    #i-content{
        font-size: 3rem;
        bottom: 30px;
        left: 1rem;
    }
    .nickname{
        font-size: 1.4rem;
    }
}

@media (max-width : 1024px) {
    #content{
        overflow: hidden;
    }
    .no-laptop{
        display: block;
    }
    .contact{
        flex-direction: column;
    }
    #projects-container{
        grid-template-columns: auto;
        align-items: center;
    }
}